> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slant.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Show current user

> Retrieve the currently authenticated user information



## OpenAPI

````yaml /api-reference/openapi.yaml get /v1/me
openapi: 3.0.1
info:
  title: Slant Public API V1
  version: v1
  description: Public API for creating and managing resources in Slant
  contact:
    name: Slant API Support
    email: api@slant.com
servers:
  - url: https://api.slant.app
security:
  - bearer: []
paths:
  /v1/me:
    get:
      tags:
        - Users
      summary: Show current user
      description: Retrieve the currently authenticated user information
      responses:
        '200':
          description: current user retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
        '401':
          description: unauthorized - missing token
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  detail:
                    type: string
      security:
        - bearer: []
components:
  schemas:
    User:
      type: object
      required:
        - id
        - email
        - first_name
        - last_name
      properties:
        id:
          type: string
          description: The ID of the user
          example: abc123xyz
        email:
          type: string
          format: email
          description: Email address of the user
          example: user@example.com
        first_name:
          type: string
          nullable: true
          description: First name of the user
          example: John
        last_name:
          type: string
          nullable: true
          description: Last name of the user
          example: Doe
        api_access:
          type: object
          description: >-
            Authentication details for the current personal access token. Only
            present on /v1/me when authenticating with a PAT.
          properties:
            auth_type:
              type: string
              enum:
                - personal_access_token
              example: personal_access_token
            scope:
              type: string
              enum:
                - read_only
                - read_write
              example: read_write
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: OAuth
      description: OAuth 2.0 Bearer Token from Clerk authentication

````